Subject: bug#3228: 23.0.93; GTK font selection: asked for Courier, got Nimbus

From: Chong Yidong <[email-masked]>
Date: Fri, 17 Aug 2012 17:10:06 +0800

Kenichi Handa <[email-masked]> writes:

>> > But, x-select-font is called from mouse-appearance-menu (in
>> > mouse.el) too, and it does something like this:
>  
>> > (buffer-face-mode-invoke (font-face-attributes (x-select-font)) ...)
>
>> > and thus the :type information is lost by
>> > font-face-attributes.  I don't know why we need
>> > font-face-attributes here.
>
> How did you solve it?  Or, is it not a problem?

Sorry, I missed that.  I just committed a fix.  If x-select-font returns
a font spec, mouse-appearance-menu now calls

   (buffer-face-mode-invoke (list :font font) ...)

This required fixing xfaces.c to allow face-remapping using :font, which
was previously broken.